﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace xapp1
{
	public partial class ContactTypesPage : ContentPage
	{
		public ContactTypesViewModel VM { get; set; } = new ContactTypesViewModel();

		public ContactTypesPage()
		{

			this.BindingContext = VM;

			InitializeComponent();
		}

		protected async override void OnAppearing()
		{
			base.OnAppearing();
			VM.ContactTypes = new ObservableCollection<ContactType>(await App.ContactTypeManager.GetContactTypesAsync());

		}

		public void OnSelected(object o, ItemTappedEventArgs e)
		{
			var selectedContactType = e.Item as ContactType;
			DisplayAlert("Chosen!", selectedContactType.ContactTypeName + " was selected!", "OK");
		}
	}
}

