﻿using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace xapp1
{
	public class ContactTypesViewModel : INotifyPropertyChanged
	{
		private ObservableCollection<ContactType> _contactTypes = new ObservableCollection<ContactType>();

		public ObservableCollection<ContactType> ContactTypes
		{
			get
			{
				return _contactTypes;
			}
			set
			{
				_contactTypes = value;
				OnPropertyChanged("ContactTypes");
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged == null)
				return;
			PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}

